Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CreateNewStickerSet

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.StickerSet>
it.tdlight.jni.TdApi.CreateNewStickerSet

Enclosing class:
  TdApi

public static final class TdApi.CreateNewStickerSet extends TdApi.Function<TdApi.StickerSet>
Creates a new sticker set. Returns the newly created sticker set.

Returns `StickerSet`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`isMasks`
True, if stickers are masks.
`String`
`name`
Sticker set name.
`String`
`source`
Source of the sticker set; may be empty if unknown.
`TdApi.InputSticker[]`
`stickers`
List of stickers to be added to the set; must be non-empty.
`String`
`title`
Sticker set title; 1-64 characters.
`long`
`userId`
Sticker set owner; ignored for regular users.

## Constructor Summary

Constructors
Constructor
Description
`CreateNewStickerSet()`
Creates a new sticker set.
`CreateNewStickerSet(long userId, String title, String name, boolean isMasks, TdApi.InputSticker[] stickers, String source)`
Creates a new sticker set.
`CreateNewStickerSet(DataInput input)`
Creates a new sticker set.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
Sticker set owner; ignored for regular users.

### title

public String title
Sticker set title; 1-64 characters.

### name

public String name
Sticker set name. Can contain only English letters, digits and underscores. Must end with *"_by_<bot username>"* (*<botUsername>* is case insensitive) for bots; 1-64 characters.

### isMasks

public boolean isMasks
True, if stickers are masks. Animated stickers can't be masks.

### stickers

public TdApi.InputSticker[] stickers
List of stickers to be added to the set; must be non-empty. All stickers must be of the same type. For animated stickers, uploadStickerFile must be used before the sticker is shown.

### source

public String source
Source of the sticker set; may be empty if unknown.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### CreateNewStickerSet

public CreateNewStickerSet()
Creates a new sticker set. Returns the newly created sticker set.

Returns `StickerSet`

### CreateNewStickerSet

public CreateNewStickerSet(long userId, String title, String name, boolean isMasks, TdApi.InputSticker[] stickers, String source)
Creates a new sticker set. Returns the newly created sticker set.

Returns `StickerSet`

Parameters:
  `userId` - long Sticker set owner; ignored for regular users.
  `title` - String Sticker set title; 1-64 characters.
  `name` - String Sticker set name. Can contain only English letters, digits and underscores. Must end with *"_by_<bot username>"* (*<botUsername>* is case insensitive) for bots; 1-64 characters.
  `isMasks` - boolean True, if stickers are masks. Animated stickers can't be masks.
  `stickers` - InputSticker[] List of stickers to be added to the set; must be non-empty. All stickers must be of the same type. For animated stickers, uploadStickerFile must be used before the sticker is shown.
  `source` - String Source of the sticker set; may be empty if unknown.

### CreateNewStickerSet

public CreateNewStickerSet(DataInput input) throws IOException
Creates a new sticker set. Returns the newly created sticker set.

Returns `StickerSet`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`